Subject: Herbs for a weak Thyroid?

From: [email-masked]
Date: Tue, 29 Aug 95 23:50:50 PST

Can someone please tell me what herbs can be taken for a weak thyroid
gland? I have a friend who has a weak thyroid and is taking medication
due to post-hysterectomy problems. She is also obese.??????
Thanks in advance

--
[*] Modem: (818) 886-0872       KBBS LOS ANGELES!     ISDN:(818) 727-9218 [*]
[*] http://kbbs.kbbsnet.com    Telnet: 204.96.25.7   Email: [email-masked] [*]